gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
BenchmarkUtil Class
BenchmarkUtil Methods

BenchmarkUtil Class

Utility methods to run microbenchmarks.
Inheritance Hierarchy
System
Object
Grpc.Core.Utils
BenchmarkUtil

Namespace: Grpc.Core.Utils
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static class BenchmarkUtil

    Public NotInheritable Class BenchmarkUtil

    public ref class BenchmarkUtil abstract sealed

    [<AbstractClassAttribute>]
    [<SealedAttribute>]
    type BenchmarkUtil =  class end

The BenchmarkUtil type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| RunBenchmark | Runs a simple benchmark preceded by warmup phase.

Top
See Also

#### Reference

Grpc.Core.Utils Namespace